My Oracle Support Banner

发生 libstdc++.so.5: version `GLIBCPP_3.2' not found 错误,apache 插件的mod_wl 无法加载 (Doc ID 2136463.1)

Last updated on AUGUST 21, 2020

适用于:

Oracle WebLogic Server - 版本 10.3 和更高版本
本文档所含信息适用于所有平台
This problem can occur on any platform.
This problem may occur on all the OS platforms with all versions of plugin modules if required libraries are missing in OS level.
In this case Customer was using Oracle Enterprise Linux 5.2 64-bit OS, he was using 64-bit plugin module mod_wl_20.so for Apache 2.0.55.

症状

用户对Apache 2.0.55 的插件进行配置时,发生了下面的错误。Apache webserver 运行在 Oracle Enterprise Linux OEL 5.2 64-bit 的操作系统上。

启动apache 服务器时,输出了下面的错误信息。
[oracle@lcrwbdl01v bin]$ ./apachectl -t
Syntax error on line 233 of [apache home]/product/2.0.63/httpd-2.0/conf/httpd.conf:
Cannot load [apache home]/product/2.0.63/httpd-2.0/modules/mod_wl_20.so into server:
[apache home]/product/2.0.63/httpd-2.0/lib/libstdc++.so.5: version `GLIBCPP_3.2' not found
(required by [apache home]/product/2.0.63/httpd-2.0/modules/mod_wl_20.so)



更改

用户使用Apache 插件配置,设置了新的环境。

原因

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


文档内容
症状
更改
原因
解决方案
参考

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.